% --- 01
filedir        = 'U:\sprung_20060322\db_tilted\'                           ;
filenamestart  = 'db_tilted'                                               ;
filenamesuffix = '.imm'                                                    ;
% ---
moviedir  = 'U:\sprung_20060322\movies\'                                   ;
movieFile = [moviedir filenamestart '_ROI' '.avi']                         ; 
mov       = avifile(movieFile,'quality',95,'fps',15,'compression','Indeo3');
% ---
for i = 1 : 500
    filenamenumber = sprintf('_%05i',i)                                     
    file = [filedir filenamestart filenamenumber filenamesuffix]           ;
    % --- open file
    [fid,message] = fopen(file)                                            ;        
    if ( fid == -1 )                                                             % return if open fails
        uiwait(msgbox(message,'File Open Error','error','modal'))          ;
        fclose(fid)                                                        ;
        return                                                             ;
    end
    % ---
    f    = opensingleimm(file)                                             ;
    beam = f.imm                                                           ; 
    imagesc(beam(429:529,625:725))                                         ;
    % ---
    F   = getframe(gcf)                                                    ;
    mov = addframe(mov,F)                                                  ;
    % ---
    fclose(fid)                                                            ;
end
mov = close(mov)                                                           ;
% ---
