function [selectedBatches] = getbatches                 
% ---
% --- get the selectedBatches vector
% --- 
%
% Michael Sprung
% $Revision: 1.0 $  $Date: 2005/02/22 $

% =========================================================================
% --- get application data
% =========================================================================
hFigXPCSMain = findall(0,'Tag','xpcsmain_Fig')                             ;
hFigViewinfo = findall(0,'Tag','viewinfo_Fig')                             ;
ccdimginfo   = getappdata(hFigXPCSMain,'ccdimginfo')                       ;


% =========================================================================
% --- get 'selected batches'
% =========================================================================
if ( ~isempty(hFigViewinfo) )
    selectedBatches = get(findall(hFigViewinfo,'Tag',                   ...
                          'figviewinfo_PopupmenuBatchnumber'),'value')     ;
else
    selectedBatches = ccdimginfo.batchestodo                               ;
end


% =========================================================================
% --- clear variables
% =========================================================================
clear hFigXPCSMain hFigViewinfo ccdimginfo                                 ;


% ---
% EOF
